Skip to Content
inclamoDocs

Agent Conversation Metrics

GET
/api/v2/accounts/{account_id}/reports/conversations/

Get conversation metrics for Agent

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

type*"agent"

Type of report

Value in"agent"
user_id?string

The numeric ID of the user

Response Body

Success

application/json
  1. response

Array of agent based conversation metrics

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/conversations/?type=agent'
Example Response
[  {    "id": 0,    "name": "string",    "email": "string",    "thumbnail": "string",    "availability": "string",    "metric": {      "open": 0,      "unattended": 0    }  }]